#include <iostream>

using namespace std;

int main()
{
    int n,m,a1,b1,c1,d1;
    cin>>n;
    cin>>m;
    int a[n],b[n],c[m],d[m];

    for(int i=0;i<n;i++){
        cin>>a[i]>>b[i];
        a1+=a[i];
        b1+=b[i];
    }

    for(int j=0;j<m;j++){
        cin>>c[j]>>d[j];
        c1+=c[j];
        d1+=d[j];
    }
    if (d1>b[0])
        cout<<b[0]<<endl;//ovo je maksimalan broj krompira koji mateja moze da zasadi
    else
        cout<<d1<<endl;

    int x[m],k;
    for(int i=0;i<m;i++)
    {
        if(c[i]==d[i]==0)
            x[i]=d[i];
        else
            x[i]=c[i];

        if (x[i]!=0)
            k++;
    }
    cout<<k<<endl;//ovo je u koliko rupa moze da zasadi kropmire

    for (int i=0;i<m;i++)
    {
        if(x[i]==d[i]==0){
            k++;
            i++;
        }

        else
            cout<<1<<" "<<i+1<<" "<<x[i]<<endl;

    }

}